Subject: Ticket Assigned - 3788414/ Share photos
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 17 Apr 2022 07:12:23 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  3788414/ Share photos Namit Agarwal                    Hi           10:50 AM, 17th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:50 AM, 17th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:50 AM, 17th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:50 AM, 17th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:50 AM, 17th Apr                     Namit Agarwal                    This is Namit Agarwal           10:50 AM, 17th Apr                     Namit Agarwal                    Contact no :0504175998           10:50 AM, 17th Apr                     Namit Agarwal                    I have order sofabed and deliver the faulty piece on last Thursday (14th April           10:51 AM, 17th Apr                     Namit Agarwal                    And still I am waiting for delivery of new sofabed           10:51 AM, 17th Apr                     Namit Agarwal                    Deliver told me and new piece will deliver on Saturday (16th April)           10:52 AM, 17th Apr                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:52 AM, 17th Apr                   New                   If you have any pictures that you would like to share, please do that.            10:52 AM, 17th Apr                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:52 AM, 17th Apr                     Namit Agarwal                    Still not get any update           10:52 AM, 17th Apr                     Namit Agarwal                             10:52 AM, 17th Apr                     Namit Agarwal                             10:52 AM, 17th Apr                     Namit Agarwal                             10:52 AM, 17th Apr                     Namit Agarwal                             10:52 AM, 17th Apr                     Namit Agarwal                    I need to escalate this issue and let me know the delivery of new pices           10:53 AM, 17th Apr                     Namit Agarwal                    Otherwise return my money bqck           10:53 AM, 17th Apr                     Namit Agarwal                    Back           10:53 AM, 17th Apr                     Namit Agarwal                    I have already call multiple times to customer care no and also talk to warehouse manager today           10:54 AM, 17th Apr                     Namit Agarwal                    Still not getting proper response           10:54 AM, 17th Apr                     Namit Agarwal                    Plz return my money if such type of issue happened           10:55 AM, 17th Apr                     Namit Agarwal                    Worst experience           10:55 AM, 17th Apr                   Alhamzi                   Hi Namit, thank you for contacting us. This's Alhamzi We would be happy to help you.           11:00 AM, 17th Apr                   Alhamzi                   Please wait while we check the details.            11:01 AM, 17th Apr                     Namit Agarwal                    Sure plz           11:01 AM, 17th Apr                     Namit Agarwal                    But I am facing worst experience           11:01 AM, 17th Apr                   Alhamzi                   We sincerely apologize for any inconvenience caused you.  We would like to let you know that we have escalated this issue to the concern team and will contact you within 3-2 business days to help you with this issue.  Complain number: 3788414           11:03 AM, 17th Apr                   Alhamzi                   We request you to allow us some more time           11:04 AM, 17th Apr                   Alhamzi                   Do you have any other inquiries that we can help with?           11:04 AM, 17th Apr                     Namit Agarwal                    I raise my complain on Thursday 14th April           11:04 AM, 17th Apr                     Namit Agarwal                    Still I have not received any proper response like homebox will deliver my sofa bed on this date or not           11:05 AM, 17th Apr                     Namit Agarwal                    Otherwise return my money           11:05 AM, 17th Apr                     Namit Agarwal                    I need proper answer           11:05 AM, 17th Apr                     Namit Agarwal                    Or refund my money           11:05 AM, 17th Apr                     Namit Agarwal                    And take your fault sofa from my house           11:06 AM, 17th Apr                   Alhamzi                   We will follow up with our team and inform them to make your complain of their priority           11:07 AM, 17th Apr                   Alhamzi                   Thank you for your understanding and cooperation.           11:07 AM, 17th Apr                   Alhamzi                   Do you have any other inquiries that we can help with?           11:07 AM, 17th Apr                     Namit Agarwal                    I want confirm answer today           11:08 AM, 17th Apr                     Namit Agarwal                    Otherwise plz refund my money           11:08 AM, 17th Apr                   Alhamzi                   Our team will contact you in the nearest time and make it up to you. We do not know exactly when our team will contact you but rest assured that we will do the needful to sort this real fast           11:09 AM, 17th Apr                   Alhamzi                   Do you have any other inquiries that we can help with?           11:09 AM, 17th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4192401